package com.proyecto.freetoursvcl;

import android.app.Activity;
import android.net.Uri;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.webkit.WebView;
import android.widget.MediaController;
import android.widget.VideoView;

public class VistaWeb extends Activity{
	
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        
    	super.onCreate(savedInstanceState);
        this.setContentView(R.layout.vista_web);
        
        Bundle extras = getIntent().getExtras();
        String url = extras.getString("Url");
        Log.d("Parámetros","URL:" + url);
        Log.d("Parámetros","TIPO:" + extras.getString("Tipo"));
        if(extras.getString("Tipo").equals("text/html")){
            WebView myWebView = (WebView) this.findViewById(R.id.webView);
            myWebView.setVisibility(View.VISIBLE);
            myWebView.loadUrl(url);
        }else{
            VideoView myVideoView = (VideoView) this.findViewById(R.id.videoView1);
            myVideoView.setVisibility(View.VISIBLE);
            myVideoView.setVideoURI(Uri.parse(url));
            myVideoView.setMediaController(new MediaController(this));
            myVideoView.start();
            myVideoView.requestFocus();        	
        }    
 
    }

}
